Logging

Get available MCP log filter data

Returns all unique filter data from MCP tool logs (tool names, server labels).

GET
/api/mcp-logs/filterdata
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/api/mcp-logs/filterdata"
{
  "tool_names": [
    "string"
  ],
  "server_labels": [
    "string"
  ],
  "virtual_keys": [
    {
      "id": "string",
      "name": "string",
      "value": "string"
    }
  ]
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings